Package com.zfabrik.impl.compiler

## Class AllCompiler

- java.lang.Object
- - com.zfabrik.resources.provider.Resource
  - - com.zfabrik.impl.compiler.AllCompiler

- All Implemented Interfaces:
    `com.zfabrik.components.java.build.ICompiler`

      public class AllCompiler
      extends com.zfabrik.resources.provider.Resource
      implements com.zfabrik.components.java.build.ICompiler

- - ### Field Summary

    - ### Fields inherited from interface com.zfabrik.components.java.build.ICompiler

      `COMPILER_ID, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AllCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `as​(java.lang.Class<T> clz)` | Retrieve a typed representation of the resource.
    `boolean` | `compile​(com.zfabrik.components.java.build.ICompilationContext compilationContext)` | A general purpose compiler api using a class loader as class path abstraction.
    `void` | `init​(com.zfabrik.components.java.build.ICompilerContext context)` | Compiler initialization

    - ### Methods inherited from class com.zfabrik.resources.provider.Resource

      `as, handle, init, init, invalidate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.zfabrik.components.java.build.ICompiler

      `ALL, compile`

- - ### Constructor Detail

    - #### AllCompiler

          public AllCompiler()

  - ### Method Detail

    - #### as

          public <T> T as​(java.lang.Class<T> clz)

      Description copied from class: `com.zfabrik.resources.provider.Resource`
      Retrieve a typed representation of the resource.

      Overrides:
        `as` in class `com.zfabrik.resources.provider.Resource`
      Parameters:
        `clz` - expected return type
      Returns:
        the expected return type instance represented by the resource or `null` if the type facade is not supported.

    - #### init

          public void init​(com.zfabrik.components.java.build.ICompilerContext context)

      Description copied from interface: `com.zfabrik.components.java.build.ICompiler`
      Compiler initialization
      Specified by:
        `init` in interface `com.zfabrik.components.java.build.ICompiler`

    - #### compile

          public boolean compile​(com.zfabrik.components.java.build.ICompilationContext compilationContext)

      Description copied from interface: `com.zfabrik.components.java.build.ICompiler`
      A general purpose compiler api using a class loader as class path abstraction. Returns true if the compilation passed otherwise it returns `false`. This method to be implemented for part specific handling. It defaults to invocation of `ICompiler.compile(String, File[], File, ClassLoader)`.
      Specified by:
        `compile` in interface `com.zfabrik.components.java.build.ICompiler`
      Returns:
        true, iff compilation succeeds